Bug 203722 - mail/postgrey: Update to 1.36
Summary: mail/postgrey: Update to 1.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-10-12 13:11 UTC by Piotr Kubaj
Modified: 2015-10-16 14:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ports.maintainer)


Attachments
v1.36 (793 bytes, text/plain)
2015-10-12 13:11 UTC, Piotr Kubaj
koobs: maintainer-approval-
Details
approved patch (2.04 KB, patch)
2015-10-15 05:47 UTC, Mel Pilgrim
koobs: maintainer-approval+
Details | Diff
portlint -a output (284 bytes, text/plain)
2015-10-15 18:11 UTC, Mel Pilgrim
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2015-10-12 13:11:44 UTC
Created attachment 161946 [details]
v1.36

I've attached the patch to update mail/postgrey to version 1.36. It builds and runs fine and passes check-plist.
Comment 1 Mel Pilgrim 2015-10-15 05:47:13 UTC
Created attachment 162058 [details]
approved patch

Needed an extra dependency.  A few cosmetic fixes while I'm here.
Comment 2 Mel Pilgrim 2015-10-15 05:48:05 UTC
Please commit attachment 162058 [details]. Thank you.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-15 05:56:41 UTC
Pending QA (portlint/poudriere) results as attachments
Comment 4 Mel Pilgrim 2015-10-15 18:11:26 UTC
Created attachment 162083 [details]
portlint -a output
Comment 5 Mel Pilgrim 2015-10-15 18:13:09 UTC
(In reply to Kubilay Kocak from comment #3)

I can't find the part of the Porter's Handbook that describes what's needed for QA logs, but attachment 162083 [details] is the output of portlint -a.  I hope that's what is wanted?  If you want poudriere output, I'll get to that this weekend.
Comment 6 Mathieu Arnold freebsd_committer 2015-10-16 13:34:42 UTC
(In reply to Melissa Pilgrim from comment #5)
> (In reply to Kubilay Kocak from comment #3)
> 
> I can't find the part of the Porter's Handbook that describes what's needed
> for QA logs, but attachment 162083 [details] is the output of portlint -a. 
> I hope that's what is wanted?  If you want poudriere output, I'll get to
> that this weekend.

There is no such thing as a rule in the porter's handbook about attaching poudriere build logs, or portlint output to a bug report. Simply stating "builds fine on 9/10" or something is enough.
Comment 7 commit-hook freebsd_committer 2015-10-16 14:20:17 UTC
A commit references this bug:

Author: mat
Date: Fri Oct 16 14:19:19 UTC 2015
New revision: 399480
URL: https://svnweb.freebsd.org/changeset/ports/399480

Log:
  Update to 1.36

  PR:		203722
  Submitted by:	maintainer
  Sponsored by:	Absolight

Changes:
  head/mail/postgrey/Makefile
  head/mail/postgrey/distinfo